server:
  port: 8092

spring:
  application:
    name: huimv-farm-environ
  datasource:
    #本地测试数据库
    url: jdbc:mysql://192.168.1.7/huimv-lishui?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
    username: root
    password: hm123456
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    hibernate:
      ddl-auto: none
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    show-sql: true

  #redis
  redis:
    database: 2
    host: 122.112.224.199
#    host: 121.36.134.218
    port: 6379
    password: hm123456
    timeout: 5000ms
    jedis:
      pool:
        max-active: 20
        max-wait: -1
        max-idle: 10
        min-idle: 0
    lettuce:
      pool:
        max-active: 3
        min-idle: 2
        max-idle: 3
        max-wait: 1
      shutdown-timeout: 100

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true   # 关闭驼峰式编码
  # mapper.xml文件所存放的位置
#  mapper-locations: classpath*:com/huimv/saas/breed/mapper/xml/*.xml  # 不加这一行出错：“org.apache.ibatis.binding.BindingException:  Invalid bound statement (not found)”
#  mapper-locations: classpath:com/huimv/center/mappers/**/*Mapper.xml